@font-face {
  font-family: "Go Mono";
  src: url("/fonts/Go-Mono.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Go Mono";
  src: url("/fonts/Go-Mono-Bold.ttf") format("truetype");
  font-weight: bold;
  font-style: normal;
}

@font-face {
  font-family: "Go Mono";
  src: url("/fonts/Go-Mono-Italic.ttf") format("truetype");
  font-weight: normal;
  font-style: italic;
}

@font-face {
  font-family: "Go Mono";
  src: url("/fonts/Go-Mono-Bold-Italic.ttf") format("truetype");
  font-weight: bold;
  font-style: italic;
}

html {
  --font: "Go Mono";
}

html[data-colorscheme="catppuccin"] {
  --bg: #1e1e2e;
  --fg: #cdd6f4;

  --h1: #f5c2e7;
  --h2: #74c7ec;
  --h3: #f5e0dc;

  --dark-h1: #d3a0c4;
  --dark-h2: #42a4c9;
  --dark-h3: #d3c0ba;
}

html {
  background-color: var(--bg);
  color: var(--fg);
  font-family: var(--font);
  font-size: 25pt;
}

body {
  margin: 0;
  padding: 4rem;
}

a {
  color: var(--h1);
  font-weight: bold;
  text-decoration: none;
  display: block;
}

a::before {
  content: "=> ";
  color: var(--dark-h1);
  font-weight: normal;
}

h1 {
  color: var(--h1);
}

h1::before {
  content: "# ";
  color: var(--dark-h1);
}

h2 {
  color: var(--h2);
}

h2::before {
  content: "## ";
  color: var(--dark-h2);
}

h3 {
  color: var(--h3);
}

h3::before {
  content: "### ";
  color: var(--dark-h3);
}

ul {
  margin-left: 1rem;
}

li::marker {
  content: "- ";
  color: var(--dark-h1);
}
